IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network10.21.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
- Network address
10.21.0.0- Broadcast address
10.21.255.255- First usable
10.21.0.1- Last usable
10.21.255.254- Usable hosts
- 65,534 (65,536 less the network and broadcast addresses)
- Subnet mask
255.255.0.0- Wildcard mask
0.0.255.255(Cisco ACLs, OSPF)- Prefix length
- /16
- Type
- Private (RFC 1918) 10.0.0.0/8
Office and home networks; not routed on the internet - Old class
- A (default /8)
- As numbers
- Hex
0A150000· Integer169148416to169213951 - Reverse DNS zone
21.10.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001010.00010101..00000000.00000000 | 10.21.0.0 |
| Subnet mask | 11111111.11111111..00000000.00000000 | 255.255.0.0 |
| Network | 00001010.00010101..00000000.00000000 | 10.21.0.0 |
| Broadcast | 00001010.00010101..11111111.11111111 | 10.21.255.255 |
Split into smaller subnets
/17 (2)/18 (4)/19 (8)/20 (16)/21 (32)/22 (64)/23 (128)/24 (256)/25 (512)/26 (1,024)/27 (2,048)/28 (4,096)
10.21.0.0/16 makes 256 subnets of /24.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 10.21.0.0/24 | 10.21.0.1 to 10.21.0.254 | 10.21.0.255 | 254 |
| 2 | 10.21.1.0/24 | 10.21.1.1 to 10.21.1.254 | 10.21.1.255 | 254 |
| 3 | 10.21.2.0/24 | 10.21.2.1 to 10.21.2.254 | 10.21.2.255 | 254 |
| 4 | 10.21.3.0/24 | 10.21.3.1 to 10.21.3.254 | 10.21.3.255 | 254 |
| 5 | 10.21.4.0/24 | 10.21.4.1 to 10.21.4.254 | 10.21.4.255 | 254 |
| 6 | 10.21.5.0/24 | 10.21.5.1 to 10.21.5.254 | 10.21.5.255 | 254 |
| 7 | 10.21.6.0/24 | 10.21.6.1 to 10.21.6.254 | 10.21.6.255 | 254 |
| 8 | 10.21.7.0/24 | 10.21.7.1 to 10.21.7.254 | 10.21.7.255 | 254 |
| 9 | 10.21.8.0/24 | 10.21.8.1 to 10.21.8.254 | 10.21.8.255 | 254 |
| 10 | 10.21.9.0/24 | 10.21.9.1 to 10.21.9.254 | 10.21.9.255 | 254 |
| 11 | 10.21.10.0/24 | 10.21.10.1 to 10.21.10.254 | 10.21.10.255 | 254 |
| 12 | 10.21.11.0/24 | 10.21.11.1 to 10.21.11.254 | 10.21.11.255 | 254 |
| 13 | 10.21.12.0/24 | 10.21.12.1 to 10.21.12.254 | 10.21.12.255 | 254 |
| 14 | 10.21.13.0/24 | 10.21.13.1 to 10.21.13.254 | 10.21.13.255 | 254 |
| 15 | 10.21.14.0/24 | 10.21.14.1 to 10.21.14.254 | 10.21.14.255 | 254 |
| 16 | 10.21.15.0/24 | 10.21.15.1 to 10.21.15.254 | 10.21.15.255 | 254 |
| 17 | 10.21.16.0/24 | 10.21.16.1 to 10.21.16.254 | 10.21.16.255 | 254 |
| 18 | 10.21.17.0/24 | 10.21.17.1 to 10.21.17.254 | 10.21.17.255 | 254 |
| 19 | 10.21.18.0/24 | 10.21.18.1 to 10.21.18.254 | 10.21.18.255 | 254 |
| 20 | 10.21.19.0/24 | 10.21.19.1 to 10.21.19.254 | 10.21.19.255 | 254 |
| 21 | 10.21.20.0/24 | 10.21.20.1 to 10.21.20.254 | 10.21.20.255 | 254 |
| 22 | 10.21.21.0/24 | 10.21.21.1 to 10.21.21.254 | 10.21.21.255 | 254 |
| 23 | 10.21.22.0/24 | 10.21.22.1 to 10.21.22.254 | 10.21.22.255 | 254 |
| 24 | 10.21.23.0/24 | 10.21.23.1 to 10.21.23.254 | 10.21.23.255 | 254 |
| 25 | 10.21.24.0/24 | 10.21.24.1 to 10.21.24.254 | 10.21.24.255 | 254 |
| 26 | 10.21.25.0/24 | 10.21.25.1 to 10.21.25.254 | 10.21.25.255 | 254 |
| 27 | 10.21.26.0/24 | 10.21.26.1 to 10.21.26.254 | 10.21.26.255 | 254 |
| 28 | 10.21.27.0/24 | 10.21.27.1 to 10.21.27.254 | 10.21.27.255 | 254 |
| 29 | 10.21.28.0/24 | 10.21.28.1 to 10.21.28.254 | 10.21.28.255 | 254 |
| 30 | 10.21.29.0/24 | 10.21.29.1 to 10.21.29.254 | 10.21.29.255 | 254 |
| 31 | 10.21.30.0/24 | 10.21.30.1 to 10.21.30.254 | 10.21.30.255 | 254 |
| 32 | 10.21.31.0/24 | 10.21.31.1 to 10.21.31.254 | 10.21.31.255 | 254 |
| 33 | 10.21.32.0/24 | 10.21.32.1 to 10.21.32.254 | 10.21.32.255 | 254 |
| 34 | 10.21.33.0/24 | 10.21.33.1 to 10.21.33.254 | 10.21.33.255 | 254 |
| 35 | 10.21.34.0/24 | 10.21.34.1 to 10.21.34.254 | 10.21.34.255 | 254 |
| 36 | 10.21.35.0/24 | 10.21.35.1 to 10.21.35.254 | 10.21.35.255 | 254 |
| 37 | 10.21.36.0/24 | 10.21.36.1 to 10.21.36.254 | 10.21.36.255 | 254 |
| 38 | 10.21.37.0/24 | 10.21.37.1 to 10.21.37.254 | 10.21.37.255 | 254 |
| 39 | 10.21.38.0/24 | 10.21.38.1 to 10.21.38.254 | 10.21.38.255 | 254 |
| 40 | 10.21.39.0/24 | 10.21.39.1 to 10.21.39.254 | 10.21.39.255 | 254 |
| 41 | 10.21.40.0/24 | 10.21.40.1 to 10.21.40.254 | 10.21.40.255 | 254 |
| 42 | 10.21.41.0/24 | 10.21.41.1 to 10.21.41.254 | 10.21.41.255 | 254 |
| 43 | 10.21.42.0/24 | 10.21.42.1 to 10.21.42.254 | 10.21.42.255 | 254 |
| 44 | 10.21.43.0/24 | 10.21.43.1 to 10.21.43.254 | 10.21.43.255 | 254 |
| 45 | 10.21.44.0/24 | 10.21.44.1 to 10.21.44.254 | 10.21.44.255 | 254 |
| 46 | 10.21.45.0/24 | 10.21.45.1 to 10.21.45.254 | 10.21.45.255 | 254 |
| 47 | 10.21.46.0/24 | 10.21.46.1 to 10.21.46.254 | 10.21.46.255 | 254 |
| 48 | 10.21.47.0/24 | 10.21.47.1 to 10.21.47.254 | 10.21.47.255 | 254 |
| 49 | 10.21.48.0/24 | 10.21.48.1 to 10.21.48.254 | 10.21.48.255 | 254 |
| 50 | 10.21.49.0/24 | 10.21.49.1 to 10.21.49.254 | 10.21.49.255 | 254 |
| 51 | 10.21.50.0/24 | 10.21.50.1 to 10.21.50.254 | 10.21.50.255 | 254 |
| 52 | 10.21.51.0/24 | 10.21.51.1 to 10.21.51.254 | 10.21.51.255 | 254 |
| 53 | 10.21.52.0/24 | 10.21.52.1 to 10.21.52.254 | 10.21.52.255 | 254 |
| 54 | 10.21.53.0/24 | 10.21.53.1 to 10.21.53.254 | 10.21.53.255 | 254 |
| 55 | 10.21.54.0/24 | 10.21.54.1 to 10.21.54.254 | 10.21.54.255 | 254 |
| 56 | 10.21.55.0/24 | 10.21.55.1 to 10.21.55.254 | 10.21.55.255 | 254 |
| 57 | 10.21.56.0/24 | 10.21.56.1 to 10.21.56.254 | 10.21.56.255 | 254 |
| 58 | 10.21.57.0/24 | 10.21.57.1 to 10.21.57.254 | 10.21.57.255 | 254 |
| 59 | 10.21.58.0/24 | 10.21.58.1 to 10.21.58.254 | 10.21.58.255 | 254 |
| 60 | 10.21.59.0/24 | 10.21.59.1 to 10.21.59.254 | 10.21.59.255 | 254 |
| 61 | 10.21.60.0/24 | 10.21.60.1 to 10.21.60.254 | 10.21.60.255 | 254 |
| 62 | 10.21.61.0/24 | 10.21.61.1 to 10.21.61.254 | 10.21.61.255 | 254 |
| 63 | 10.21.62.0/24 | 10.21.62.1 to 10.21.62.254 | 10.21.62.255 | 254 |
| 64 | 10.21.63.0/24 | 10.21.63.1 to 10.21.63.254 | 10.21.63.255 | 254 |
| 65 | 10.21.64.0/24 | 10.21.64.1 to 10.21.64.254 | 10.21.64.255 | 254 |
| 66 | 10.21.65.0/24 | 10.21.65.1 to 10.21.65.254 | 10.21.65.255 | 254 |
| 67 | 10.21.66.0/24 | 10.21.66.1 to 10.21.66.254 | 10.21.66.255 | 254 |
| 68 | 10.21.67.0/24 | 10.21.67.1 to 10.21.67.254 | 10.21.67.255 | 254 |
| 69 | 10.21.68.0/24 | 10.21.68.1 to 10.21.68.254 | 10.21.68.255 | 254 |
| 70 | 10.21.69.0/24 | 10.21.69.1 to 10.21.69.254 | 10.21.69.255 | 254 |
| 71 | 10.21.70.0/24 | 10.21.70.1 to 10.21.70.254 | 10.21.70.255 | 254 |
| 72 | 10.21.71.0/24 | 10.21.71.1 to 10.21.71.254 | 10.21.71.255 | 254 |
| 73 | 10.21.72.0/24 | 10.21.72.1 to 10.21.72.254 | 10.21.72.255 | 254 |
| 74 | 10.21.73.0/24 | 10.21.73.1 to 10.21.73.254 | 10.21.73.255 | 254 |
| 75 | 10.21.74.0/24 | 10.21.74.1 to 10.21.74.254 | 10.21.74.255 | 254 |
| 76 | 10.21.75.0/24 | 10.21.75.1 to 10.21.75.254 | 10.21.75.255 | 254 |
| 77 | 10.21.76.0/24 | 10.21.76.1 to 10.21.76.254 | 10.21.76.255 | 254 |
| 78 | 10.21.77.0/24 | 10.21.77.1 to 10.21.77.254 | 10.21.77.255 | 254 |
| 79 | 10.21.78.0/24 | 10.21.78.1 to 10.21.78.254 | 10.21.78.255 | 254 |
| 80 | 10.21.79.0/24 | 10.21.79.1 to 10.21.79.254 | 10.21.79.255 | 254 |
| 81 | 10.21.80.0/24 | 10.21.80.1 to 10.21.80.254 | 10.21.80.255 | 254 |
| 82 | 10.21.81.0/24 | 10.21.81.1 to 10.21.81.254 | 10.21.81.255 | 254 |
| 83 | 10.21.82.0/24 | 10.21.82.1 to 10.21.82.254 | 10.21.82.255 | 254 |
| 84 | 10.21.83.0/24 | 10.21.83.1 to 10.21.83.254 | 10.21.83.255 | 254 |
| 85 | 10.21.84.0/24 | 10.21.84.1 to 10.21.84.254 | 10.21.84.255 | 254 |
| 86 | 10.21.85.0/24 | 10.21.85.1 to 10.21.85.254 | 10.21.85.255 | 254 |
| 87 | 10.21.86.0/24 | 10.21.86.1 to 10.21.86.254 | 10.21.86.255 | 254 |
| 88 | 10.21.87.0/24 | 10.21.87.1 to 10.21.87.254 | 10.21.87.255 | 254 |
| 89 | 10.21.88.0/24 | 10.21.88.1 to 10.21.88.254 | 10.21.88.255 | 254 |
| 90 | 10.21.89.0/24 | 10.21.89.1 to 10.21.89.254 | 10.21.89.255 | 254 |
| 91 | 10.21.90.0/24 | 10.21.90.1 to 10.21.90.254 | 10.21.90.255 | 254 |
| 92 | 10.21.91.0/24 | 10.21.91.1 to 10.21.91.254 | 10.21.91.255 | 254 |
| 93 | 10.21.92.0/24 | 10.21.92.1 to 10.21.92.254 | 10.21.92.255 | 254 |
| 94 | 10.21.93.0/24 | 10.21.93.1 to 10.21.93.254 | 10.21.93.255 | 254 |
| 95 | 10.21.94.0/24 | 10.21.94.1 to 10.21.94.254 | 10.21.94.255 | 254 |
| 96 | 10.21.95.0/24 | 10.21.95.1 to 10.21.95.254 | 10.21.95.255 | 254 |
| 97 | 10.21.96.0/24 | 10.21.96.1 to 10.21.96.254 | 10.21.96.255 | 254 |
| 98 | 10.21.97.0/24 | 10.21.97.1 to 10.21.97.254 | 10.21.97.255 | 254 |
| 99 | 10.21.98.0/24 | 10.21.98.1 to 10.21.98.254 | 10.21.98.255 | 254 |
| 100 | 10.21.99.0/24 | 10.21.99.1 to 10.21.99.254 | 10.21.99.255 | 254 |
| 101 | 10.21.100.0/24 | 10.21.100.1 to 10.21.100.254 | 10.21.100.255 | 254 |
| 102 | 10.21.101.0/24 | 10.21.101.1 to 10.21.101.254 | 10.21.101.255 | 254 |
| 103 | 10.21.102.0/24 | 10.21.102.1 to 10.21.102.254 | 10.21.102.255 | 254 |
| 104 | 10.21.103.0/24 | 10.21.103.1 to 10.21.103.254 | 10.21.103.255 | 254 |
| 105 | 10.21.104.0/24 | 10.21.104.1 to 10.21.104.254 | 10.21.104.255 | 254 |
| 106 | 10.21.105.0/24 | 10.21.105.1 to 10.21.105.254 | 10.21.105.255 | 254 |
| 107 | 10.21.106.0/24 | 10.21.106.1 to 10.21.106.254 | 10.21.106.255 | 254 |
| 108 | 10.21.107.0/24 | 10.21.107.1 to 10.21.107.254 | 10.21.107.255 | 254 |
| 109 | 10.21.108.0/24 | 10.21.108.1 to 10.21.108.254 | 10.21.108.255 | 254 |
| 110 | 10.21.109.0/24 | 10.21.109.1 to 10.21.109.254 | 10.21.109.255 | 254 |
| 111 | 10.21.110.0/24 | 10.21.110.1 to 10.21.110.254 | 10.21.110.255 | 254 |
| 112 | 10.21.111.0/24 | 10.21.111.1 to 10.21.111.254 | 10.21.111.255 | 254 |
| 113 | 10.21.112.0/24 | 10.21.112.1 to 10.21.112.254 | 10.21.112.255 | 254 |
| 114 | 10.21.113.0/24 | 10.21.113.1 to 10.21.113.254 | 10.21.113.255 | 254 |
| 115 | 10.21.114.0/24 | 10.21.114.1 to 10.21.114.254 | 10.21.114.255 | 254 |
| 116 | 10.21.115.0/24 | 10.21.115.1 to 10.21.115.254 | 10.21.115.255 | 254 |
| 117 | 10.21.116.0/24 | 10.21.116.1 to 10.21.116.254 | 10.21.116.255 | 254 |
| 118 | 10.21.117.0/24 | 10.21.117.1 to 10.21.117.254 | 10.21.117.255 | 254 |
| 119 | 10.21.118.0/24 | 10.21.118.1 to 10.21.118.254 | 10.21.118.255 | 254 |
| 120 | 10.21.119.0/24 | 10.21.119.1 to 10.21.119.254 | 10.21.119.255 | 254 |
| 121 | 10.21.120.0/24 | 10.21.120.1 to 10.21.120.254 | 10.21.120.255 | 254 |
| 122 | 10.21.121.0/24 | 10.21.121.1 to 10.21.121.254 | 10.21.121.255 | 254 |
| 123 | 10.21.122.0/24 | 10.21.122.1 to 10.21.122.254 | 10.21.122.255 | 254 |
| 124 | 10.21.123.0/24 | 10.21.123.1 to 10.21.123.254 | 10.21.123.255 | 254 |
| 125 | 10.21.124.0/24 | 10.21.124.1 to 10.21.124.254 | 10.21.124.255 | 254 |
| 126 | 10.21.125.0/24 | 10.21.125.1 to 10.21.125.254 | 10.21.125.255 | 254 |
| 127 | 10.21.126.0/24 | 10.21.126.1 to 10.21.126.254 | 10.21.126.255 | 254 |
| 128 | 10.21.127.0/24 | 10.21.127.1 to 10.21.127.254 | 10.21.127.255 | 254 |
| 129 | 10.21.128.0/24 | 10.21.128.1 to 10.21.128.254 | 10.21.128.255 | 254 |
| 130 | 10.21.129.0/24 | 10.21.129.1 to 10.21.129.254 | 10.21.129.255 | 254 |
| 131 | 10.21.130.0/24 | 10.21.130.1 to 10.21.130.254 | 10.21.130.255 | 254 |
| 132 | 10.21.131.0/24 | 10.21.131.1 to 10.21.131.254 | 10.21.131.255 | 254 |
| 133 | 10.21.132.0/24 | 10.21.132.1 to 10.21.132.254 | 10.21.132.255 | 254 |
| 134 | 10.21.133.0/24 | 10.21.133.1 to 10.21.133.254 | 10.21.133.255 | 254 |
| 135 | 10.21.134.0/24 | 10.21.134.1 to 10.21.134.254 | 10.21.134.255 | 254 |
| 136 | 10.21.135.0/24 | 10.21.135.1 to 10.21.135.254 | 10.21.135.255 | 254 |
| 137 | 10.21.136.0/24 | 10.21.136.1 to 10.21.136.254 | 10.21.136.255 | 254 |
| 138 | 10.21.137.0/24 | 10.21.137.1 to 10.21.137.254 | 10.21.137.255 | 254 |
| 139 | 10.21.138.0/24 | 10.21.138.1 to 10.21.138.254 | 10.21.138.255 | 254 |
| 140 | 10.21.139.0/24 | 10.21.139.1 to 10.21.139.254 | 10.21.139.255 | 254 |
| 141 | 10.21.140.0/24 | 10.21.140.1 to 10.21.140.254 | 10.21.140.255 | 254 |
| 142 | 10.21.141.0/24 | 10.21.141.1 to 10.21.141.254 | 10.21.141.255 | 254 |
| 143 | 10.21.142.0/24 | 10.21.142.1 to 10.21.142.254 | 10.21.142.255 | 254 |
| 144 | 10.21.143.0/24 | 10.21.143.1 to 10.21.143.254 | 10.21.143.255 | 254 |
| 145 | 10.21.144.0/24 | 10.21.144.1 to 10.21.144.254 | 10.21.144.255 | 254 |
| 146 | 10.21.145.0/24 | 10.21.145.1 to 10.21.145.254 | 10.21.145.255 | 254 |
| 147 | 10.21.146.0/24 | 10.21.146.1 to 10.21.146.254 | 10.21.146.255 | 254 |
| 148 | 10.21.147.0/24 | 10.21.147.1 to 10.21.147.254 | 10.21.147.255 | 254 |
| 149 | 10.21.148.0/24 | 10.21.148.1 to 10.21.148.254 | 10.21.148.255 | 254 |
| 150 | 10.21.149.0/24 | 10.21.149.1 to 10.21.149.254 | 10.21.149.255 | 254 |
| 151 | 10.21.150.0/24 | 10.21.150.1 to 10.21.150.254 | 10.21.150.255 | 254 |
| 152 | 10.21.151.0/24 | 10.21.151.1 to 10.21.151.254 | 10.21.151.255 | 254 |
| 153 | 10.21.152.0/24 | 10.21.152.1 to 10.21.152.254 | 10.21.152.255 | 254 |
| 154 | 10.21.153.0/24 | 10.21.153.1 to 10.21.153.254 | 10.21.153.255 | 254 |
| 155 | 10.21.154.0/24 | 10.21.154.1 to 10.21.154.254 | 10.21.154.255 | 254 |
| 156 | 10.21.155.0/24 | 10.21.155.1 to 10.21.155.254 | 10.21.155.255 | 254 |
| 157 | 10.21.156.0/24 | 10.21.156.1 to 10.21.156.254 | 10.21.156.255 | 254 |
| 158 | 10.21.157.0/24 | 10.21.157.1 to 10.21.157.254 | 10.21.157.255 | 254 |
| 159 | 10.21.158.0/24 | 10.21.158.1 to 10.21.158.254 | 10.21.158.255 | 254 |
| 160 | 10.21.159.0/24 | 10.21.159.1 to 10.21.159.254 | 10.21.159.255 | 254 |
| 161 | 10.21.160.0/24 | 10.21.160.1 to 10.21.160.254 | 10.21.160.255 | 254 |
| 162 | 10.21.161.0/24 | 10.21.161.1 to 10.21.161.254 | 10.21.161.255 | 254 |
| 163 | 10.21.162.0/24 | 10.21.162.1 to 10.21.162.254 | 10.21.162.255 | 254 |
| 164 | 10.21.163.0/24 | 10.21.163.1 to 10.21.163.254 | 10.21.163.255 | 254 |
| 165 | 10.21.164.0/24 | 10.21.164.1 to 10.21.164.254 | 10.21.164.255 | 254 |
| 166 | 10.21.165.0/24 | 10.21.165.1 to 10.21.165.254 | 10.21.165.255 | 254 |
| 167 | 10.21.166.0/24 | 10.21.166.1 to 10.21.166.254 | 10.21.166.255 | 254 |
| 168 | 10.21.167.0/24 | 10.21.167.1 to 10.21.167.254 | 10.21.167.255 | 254 |
| 169 | 10.21.168.0/24 | 10.21.168.1 to 10.21.168.254 | 10.21.168.255 | 254 |
| 170 | 10.21.169.0/24 | 10.21.169.1 to 10.21.169.254 | 10.21.169.255 | 254 |
| 171 | 10.21.170.0/24 | 10.21.170.1 to 10.21.170.254 | 10.21.170.255 | 254 |
| 172 | 10.21.171.0/24 | 10.21.171.1 to 10.21.171.254 | 10.21.171.255 | 254 |
| 173 | 10.21.172.0/24 | 10.21.172.1 to 10.21.172.254 | 10.21.172.255 | 254 |
| 174 | 10.21.173.0/24 | 10.21.173.1 to 10.21.173.254 | 10.21.173.255 | 254 |
| 175 | 10.21.174.0/24 | 10.21.174.1 to 10.21.174.254 | 10.21.174.255 | 254 |
| 176 | 10.21.175.0/24 | 10.21.175.1 to 10.21.175.254 | 10.21.175.255 | 254 |
| 177 | 10.21.176.0/24 | 10.21.176.1 to 10.21.176.254 | 10.21.176.255 | 254 |
| 178 | 10.21.177.0/24 | 10.21.177.1 to 10.21.177.254 | 10.21.177.255 | 254 |
| 179 | 10.21.178.0/24 | 10.21.178.1 to 10.21.178.254 | 10.21.178.255 | 254 |
| 180 | 10.21.179.0/24 | 10.21.179.1 to 10.21.179.254 | 10.21.179.255 | 254 |
| 181 | 10.21.180.0/24 | 10.21.180.1 to 10.21.180.254 | 10.21.180.255 | 254 |
| 182 | 10.21.181.0/24 | 10.21.181.1 to 10.21.181.254 | 10.21.181.255 | 254 |
| 183 | 10.21.182.0/24 | 10.21.182.1 to 10.21.182.254 | 10.21.182.255 | 254 |
| 184 | 10.21.183.0/24 | 10.21.183.1 to 10.21.183.254 | 10.21.183.255 | 254 |
| 185 | 10.21.184.0/24 | 10.21.184.1 to 10.21.184.254 | 10.21.184.255 | 254 |
| 186 | 10.21.185.0/24 | 10.21.185.1 to 10.21.185.254 | 10.21.185.255 | 254 |
| 187 | 10.21.186.0/24 | 10.21.186.1 to 10.21.186.254 | 10.21.186.255 | 254 |
| 188 | 10.21.187.0/24 | 10.21.187.1 to 10.21.187.254 | 10.21.187.255 | 254 |
| 189 | 10.21.188.0/24 | 10.21.188.1 to 10.21.188.254 | 10.21.188.255 | 254 |
| 190 | 10.21.189.0/24 | 10.21.189.1 to 10.21.189.254 | 10.21.189.255 | 254 |
| 191 | 10.21.190.0/24 | 10.21.190.1 to 10.21.190.254 | 10.21.190.255 | 254 |
| 192 | 10.21.191.0/24 | 10.21.191.1 to 10.21.191.254 | 10.21.191.255 | 254 |
| 193 | 10.21.192.0/24 | 10.21.192.1 to 10.21.192.254 | 10.21.192.255 | 254 |
| 194 | 10.21.193.0/24 | 10.21.193.1 to 10.21.193.254 | 10.21.193.255 | 254 |
| 195 | 10.21.194.0/24 | 10.21.194.1 to 10.21.194.254 | 10.21.194.255 | 254 |
| 196 | 10.21.195.0/24 | 10.21.195.1 to 10.21.195.254 | 10.21.195.255 | 254 |
| 197 | 10.21.196.0/24 | 10.21.196.1 to 10.21.196.254 | 10.21.196.255 | 254 |
| 198 | 10.21.197.0/24 | 10.21.197.1 to 10.21.197.254 | 10.21.197.255 | 254 |
| 199 | 10.21.198.0/24 | 10.21.198.1 to 10.21.198.254 | 10.21.198.255 | 254 |
| 200 | 10.21.199.0/24 | 10.21.199.1 to 10.21.199.254 | 10.21.199.255 | 254 |
| 201 | 10.21.200.0/24 | 10.21.200.1 to 10.21.200.254 | 10.21.200.255 | 254 |
| 202 | 10.21.201.0/24 | 10.21.201.1 to 10.21.201.254 | 10.21.201.255 | 254 |
| 203 | 10.21.202.0/24 | 10.21.202.1 to 10.21.202.254 | 10.21.202.255 | 254 |
| 204 | 10.21.203.0/24 | 10.21.203.1 to 10.21.203.254 | 10.21.203.255 | 254 |
| 205 | 10.21.204.0/24 | 10.21.204.1 to 10.21.204.254 | 10.21.204.255 | 254 |
| 206 | 10.21.205.0/24 | 10.21.205.1 to 10.21.205.254 | 10.21.205.255 | 254 |
| 207 | 10.21.206.0/24 | 10.21.206.1 to 10.21.206.254 | 10.21.206.255 | 254 |
| 208 | 10.21.207.0/24 | 10.21.207.1 to 10.21.207.254 | 10.21.207.255 | 254 |
| 209 | 10.21.208.0/24 | 10.21.208.1 to 10.21.208.254 | 10.21.208.255 | 254 |
| 210 | 10.21.209.0/24 | 10.21.209.1 to 10.21.209.254 | 10.21.209.255 | 254 |
| 211 | 10.21.210.0/24 | 10.21.210.1 to 10.21.210.254 | 10.21.210.255 | 254 |
| 212 | 10.21.211.0/24 | 10.21.211.1 to 10.21.211.254 | 10.21.211.255 | 254 |
| 213 | 10.21.212.0/24 | 10.21.212.1 to 10.21.212.254 | 10.21.212.255 | 254 |
| 214 | 10.21.213.0/24 | 10.21.213.1 to 10.21.213.254 | 10.21.213.255 | 254 |
| 215 | 10.21.214.0/24 | 10.21.214.1 to 10.21.214.254 | 10.21.214.255 | 254 |
| 216 | 10.21.215.0/24 | 10.21.215.1 to 10.21.215.254 | 10.21.215.255 | 254 |
| 217 | 10.21.216.0/24 | 10.21.216.1 to 10.21.216.254 | 10.21.216.255 | 254 |
| 218 | 10.21.217.0/24 | 10.21.217.1 to 10.21.217.254 | 10.21.217.255 | 254 |
| 219 | 10.21.218.0/24 | 10.21.218.1 to 10.21.218.254 | 10.21.218.255 | 254 |
| 220 | 10.21.219.0/24 | 10.21.219.1 to 10.21.219.254 | 10.21.219.255 | 254 |
| 221 | 10.21.220.0/24 | 10.21.220.1 to 10.21.220.254 | 10.21.220.255 | 254 |
| 222 | 10.21.221.0/24 | 10.21.221.1 to 10.21.221.254 | 10.21.221.255 | 254 |
| 223 | 10.21.222.0/24 | 10.21.222.1 to 10.21.222.254 | 10.21.222.255 | 254 |
| 224 | 10.21.223.0/24 | 10.21.223.1 to 10.21.223.254 | 10.21.223.255 | 254 |
| 225 | 10.21.224.0/24 | 10.21.224.1 to 10.21.224.254 | 10.21.224.255 | 254 |
| 226 | 10.21.225.0/24 | 10.21.225.1 to 10.21.225.254 | 10.21.225.255 | 254 |
| 227 | 10.21.226.0/24 | 10.21.226.1 to 10.21.226.254 | 10.21.226.255 | 254 |
| 228 | 10.21.227.0/24 | 10.21.227.1 to 10.21.227.254 | 10.21.227.255 | 254 |
| 229 | 10.21.228.0/24 | 10.21.228.1 to 10.21.228.254 | 10.21.228.255 | 254 |
| 230 | 10.21.229.0/24 | 10.21.229.1 to 10.21.229.254 | 10.21.229.255 | 254 |
| 231 | 10.21.230.0/24 | 10.21.230.1 to 10.21.230.254 | 10.21.230.255 | 254 |
| 232 | 10.21.231.0/24 | 10.21.231.1 to 10.21.231.254 | 10.21.231.255 | 254 |
| 233 | 10.21.232.0/24 | 10.21.232.1 to 10.21.232.254 | 10.21.232.255 | 254 |
| 234 | 10.21.233.0/24 | 10.21.233.1 to 10.21.233.254 | 10.21.233.255 | 254 |
| 235 | 10.21.234.0/24 | 10.21.234.1 to 10.21.234.254 | 10.21.234.255 | 254 |
| 236 | 10.21.235.0/24 | 10.21.235.1 to 10.21.235.254 | 10.21.235.255 | 254 |
| 237 | 10.21.236.0/24 | 10.21.236.1 to 10.21.236.254 | 10.21.236.255 | 254 |
| 238 | 10.21.237.0/24 | 10.21.237.1 to 10.21.237.254 | 10.21.237.255 | 254 |
| 239 | 10.21.238.0/24 | 10.21.238.1 to 10.21.238.254 | 10.21.238.255 | 254 |
| 240 | 10.21.239.0/24 | 10.21.239.1 to 10.21.239.254 | 10.21.239.255 | 254 |
| 241 | 10.21.240.0/24 | 10.21.240.1 to 10.21.240.254 | 10.21.240.255 | 254 |
| 242 | 10.21.241.0/24 | 10.21.241.1 to 10.21.241.254 | 10.21.241.255 | 254 |
| 243 | 10.21.242.0/24 | 10.21.242.1 to 10.21.242.254 | 10.21.242.255 | 254 |
| 244 | 10.21.243.0/24 | 10.21.243.1 to 10.21.243.254 | 10.21.243.255 | 254 |
| 245 | 10.21.244.0/24 | 10.21.244.1 to 10.21.244.254 | 10.21.244.255 | 254 |
| 246 | 10.21.245.0/24 | 10.21.245.1 to 10.21.245.254 | 10.21.245.255 | 254 |
| 247 | 10.21.246.0/24 | 10.21.246.1 to 10.21.246.254 | 10.21.246.255 | 254 |
| 248 | 10.21.247.0/24 | 10.21.247.1 to 10.21.247.254 | 10.21.247.255 | 254 |
| 249 | 10.21.248.0/24 | 10.21.248.1 to 10.21.248.254 | 10.21.248.255 | 254 |
| 250 | 10.21.249.0/24 | 10.21.249.1 to 10.21.249.254 | 10.21.249.255 | 254 |
| 251 | 10.21.250.0/24 | 10.21.250.1 to 10.21.250.254 | 10.21.250.255 | 254 |
| 252 | 10.21.251.0/24 | 10.21.251.1 to 10.21.251.254 | 10.21.251.255 | 254 |
| 253 | 10.21.252.0/24 | 10.21.252.1 to 10.21.252.254 | 10.21.252.255 | 254 |
| 254 | 10.21.253.0/24 | 10.21.253.1 to 10.21.253.254 | 10.21.253.255 | 254 |
| 255 | 10.21.254.0/24 | 10.21.254.1 to 10.21.254.254 | 10.21.254.255 | 254 |
| 256 | 10.21.255.0/24 | 10.21.255.1 to 10.21.255.254 | 10.21.255.255 | 254 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |